Bug 8739 - MZ-binaries in RPM
: MZ-binaries in RPM
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/autopano-sift)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-26 16:30 by
Modified: 2006-01-09 01:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-26 16:30:45
$ rpm -ql autopano-sift | grep exe
/usr/bin/autopano-win32.exe
/usr/bin/autopano.exe
/usr/bin/autopanog.exe
/usr/bin/generatekeys-sd.exe
/usr/bin/generatekeys.exe
/usr/bin/showone.exe
/usr/bin/showtwo.exe
------- Comment #1 From 2005-12-26 16:35:54 -------
Всё правильно, это C#-файлы. Работают через mono. Для этого написаны оболочки
для их запуска (без .exe). К сожалению, не имею исходных текстов (недоступны в
интернет). А что именно волнует? Если ничего, то закрою как WONTFIX. Это про
них
говорится в hugin.
------- Comment #2 From 2005-12-26 16:51:11 -------
(In reply to comment #1)
> Всё правильно, это C#-файлы. Работают через mono. Для этого написаны оболочки
> для их запуска (без .exe). К сожалению, не имею исходных текстов (недоступны в
> интернет). А что именно волнует? Если ничего, то закрою как WONTFIX. Это про них
> говорится в hugin.

Хм... Очень неаккуратно выглядит

И почему тогда src.rpm, если исходников нет?
------- Comment #3 From 2005-12-27 11:08:48 -------
> Хм... Очень неаккуратно выглядит
> 
> И почему тогда src.rpm, если исходников нет?
> 

Не аккуратннее cat или ls.

А как иначе запихнуть в Сизиф? Сами программы выложены в открытый доступ с
указанием "пользуйтесь на здоровье". Кстати, в пакете всё-таки нашёл исходные
тексты, но пока я не смог заставить их компилироваться в Сизифе (mono ругается
на отсутствие у него некоторых запрашиваемых возможностей, хотя сами программы
работают под ним). Да, если бы mono их собрал, то это тоже были бы .exe - файлы.
------- Comment #4 From 2005-12-27 11:28:19 -------
Как именно не собирается с mono? 
Желательно, чтобы программа-таки собиралась из исходников. 
 
------- Comment #5 From 2005-12-27 11:29:27 -------
пример спека можно посмотреть тут:
http://dag.wieers.com/packages/autopano-sift/autopano-sift.spec

судя по нему, там нет ничего сложного.
майнтейнера mono вам в помощь! %)
------- Comment #6 From 2005-12-27 11:47:28 -------
(In reply to comment #4)
> Как именно не собирается с mono? 
> Желательно, чтобы программа-таки собиралась из исходников. 
>  

Я понимаю. При сборке mono сообщил об отсутствии некоторых классов (вроде).
После просматривания всего mono из Сизифа и autopano-sift я так и не нашёл
описания этих классов. Поэтому решил пока забить. Сейчас забрал пример спека,
сегодня просмотрю и попробую.

Нашёл: у них есть mono-winforms, у нас подобного нет. Если не так, то поправьте.
------- Comment #7 From 2005-12-27 11:52:29 -------
(In reply to comment #6)

> Нашёл: у них есть mono-winforms, у нас подобного нет. Если не так, то поправьте.

Всё, нашёл. Тогда, при сборке, я так и не смог найти этого.
------- Comment #8 From 2005-12-28 00:44:58 -------
(In reply to comment #4)
> Как именно не собирается с mono? 
> Желательно, чтобы программа-таки собиралась из исходников. 
>  

Отправляю пакет, в котором ведётся сборка программ из исходников плюс новая
версия программы. Но в пакете всё равно будут .exe и в /usr/lib будет .dll.
Прошу не считать это проблемой или багой, так как они написаны под C# (который
от Microsoft) и работают от mono. Спасибо Евгению Хорохорину в помощи